# Order TOE PDF Reports
source: https://developer.mastercard.com/riskrecon-api/documentation/use-cases/risk-mgmt-issue-rmdfn/toe-pdf-reports/order-toe-rep/index.md

## Overview {#overview}

You can order for a particular type of TOE PDF report using the `POST TOE Report` endpoint. You must provide the `toe_id` and the `report_type` parameters in the request body of this endpoint to order for a particular type of TOE report.

The possible values of the `report_type` parameter are:

|  TOE Report Type   | Value for the `report_type` Parameter |
|--------------------|---------------------------------------|
| Executive Report   | *executive-report*                    |
| Summary Report     | *summary-report*                      |
| Detailed Report    | *detailed-report*                     |
| Action Plan Report | *action-plan*                         |

The report request is put in a queue before a background job takes up the request to generate the report. This may take a few seconds before the report is ready to download.

This endpoint returns the following metadata regarding the order. You can use these details to track the status of the order:

* Request ID: The `request_id` is the unique identifier of the order or request.
* Report key: The `report_key` is the name of the TOE PDF report asked for.
* Order status: The `status` of the order or request. For example, pending or ready to download.

Note: Save the `request_id` and `report_key` for future use. In case you forget to note these, use the `GET TOE Report` endpoint to retrieve a list of all the active TOE PDF reports. For more details on this endpoint, refer to [Retrieve TOE PDF Report Status](https://developer.mastercard.com/riskrecon-api/documentation/use-cases/risk-mgmt-issue-rmdfn/toe-pdf-reports/retrve-toe-reps/index.md) use case.

## Sequence Diagram {#sequence-diagram}

The following diagram shows how to order for a particular type of TOE PDF report:
Diagram order-toe-pdf-rep

## Execution Steps {#execution-steps}

The following steps describe how to order for a particular type of TOE PDF report:

1. The user sends a POST request to order for a particular type of TOE PDF report.
2. RiskRecon puts the request in a queue for the report to be generated by a background job.
3. RiskRecon returns the report details.

## Sample Request and Response {#sample-request-and-response}

For a sample request and response of this API, see [POST the TOE PDF Report Generation Request](https://developer.mastercard.com/riskrecon-api/documentation/testing/toe-pdf-rep-samples/order-toe-pdf-smpl/index.md).

## Use Case Example {#use-case-example}

The use cases in this section discuss how you can use the `POST TOE Report` endpoint to order for TOE PDF reports:

* [Providing the security risk posture details while vetting potential partners](https://developer.mastercard.com/riskrecon-api/documentation/use-cases/risk-mgmt-issue-rmdfn/toe-pdf-reports/order-toe-rep/index.md#providing-the-security-risk-posture-details-while-vetting-potential-partners)
* [Conducting vendor security audits](https://developer.mastercard.com/riskrecon-api/documentation/use-cases/risk-mgmt-issue-rmdfn/toe-pdf-reports/order-toe-rep/index.md#conducting-vendor-security-audits)

### Providing the security risk posture details while vetting potential partners {#providing-the-security-risk-posture-details-while-vetting-potential-partners}

A RiskRecon customer who is vetting for partnership and needs to provide the cybersecurity and supply chain risk data of its firm and vendors to the potential partner. The customer can use the `POST TOE Report` endpoint to order the required TOE PDF reports for its potential partners.

### Conducting vendor security audits {#conducting-vendor-security-audits}

A RiskRecon customer is conducting security audits to evaluate the security posture of its vendors. The customer can use the `POST TOE Report` endpoint to generate a point-in-time record of the findings RiskRecon has collected for a given vendor.

## Endpoint {#endpoint}


API Reference: `POST /v1/toe_reports`

